Bug 1814425 - convert_string_to_bool doesn't deal with array type
Summary: convert_string_to_bool doesn't deal with array type
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Compute Resources - RHEV
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 6.6.3
Assignee: Shira Maximov
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-17 20:26 UTC by Mike McCune
Modified: 2020-07-05 07:27 UTC (History)
9 users (show)

Fixed In Version: tfm-rubygem-fog-ovirt-1.2.3,foreman-1.22.0.39-2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1765132
Environment:
Last Closed: 2020-04-16 19:45:17 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 28121 0 Normal Closed convert_string_to_bool doesn't deal with array type 2020-09-13 09:51:11 UTC
Red Hat Knowledge Base (Solution) 5203731 0 None None None 2020-07-05 07:27:03 UTC
Red Hat Product Errata RHBA-2020:1494 0 None None None 2020-04-16 19:45:25 UTC

Comment 6 Lukáš Hellebrandt 2020-04-15 18:01:20 UTC
Verified with Sat 6.6.3 snap 1.

# hammer host create --hostgroup testgrp --location-id 2 --organization-id 1 --name lhellebr-delme-convert-66z-1 --ip 192.168.122.21 --volume "capacity=[],wipe_after_delete=[bla],storage_domain=<UUID>"
Host created.
# hammer host create --hostgroup testgrp --location-id 2 --organization-id 1 --name lhellebr-delme-convert66z-3 --ip 192.168.122.81 --volume "size_gb=20,wipe_after_delete=1,storage_domain=<UUID>"
Host created.

Also able to create a host through WebUI.

Comment 8 errata-xmlrpc 2020-04-16 19:45:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:1494


Note You need to log in before you can comment on or make changes to this bug.